aboutsummaryrefslogtreecommitdiffstats
path: root/main/automake/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-12 12:49:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-12 12:53:48 +0000
commitb2343efd22068339ff40fa6f2843c0dc091b1a99 (patch)
tree486507719b096e175f053f9118510b61c5109255 /main/automake/APKBUILD
parent6c450cd99f50bc642856c90bc1eb74c65b534e36 (diff)
downloadaports-b2343efd22068339ff40fa6f2843c0dc091b1a99.tar.bz2
aports-b2343efd22068339ff40fa6f2843c0dc091b1a99.tar.xz
main/automake: security fix (CVE-2012-3386)
fixes #1764
Diffstat (limited to 'main/automake/APKBUILD')
-rw-r--r--main/automake/APKBUILD17
1 files changed, 14 insertions, 3 deletions
diff --git a/main/automake/APKBUILD b/main/automake/APKBUILD
index 262d1caaa3..67a2733c3f 100644
--- a/main/automake/APKBUILD
+++ b/main/automake/APKBUILD
@@ -1,16 +1,26 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=automake
pkgver=1.11.1
-pkgrel=0
+pkgrel=1
pkgdesc="A GNU tool for automatically creating Makefiles"
arch="noarch"
license=GPL
url="http://www.gnu.org/software/automake"
-source=ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+ CVE-2012-3386.patch"
depends="perl"
makedepends="autoconf"
subpackages="$pkgname-doc"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr
@@ -22,4 +32,5 @@ package() {
make DESTDIR=$pkgdir install
}
-md5sums="4ee7f0ff5f0e467d58b6bd5da96b1c74 automake-1.11.1.tar.gz"
+md5sums="4ee7f0ff5f0e467d58b6bd5da96b1c74 automake-1.11.1.tar.gz
+4f3b076713662c040dbe22aa7e074eef CVE-2012-3386.patch"